Summary:	Applnk - base directories tree used for storing desktop/kdelnk menu entries
Summary(pl.UTF-8):	Applnk - bazowa struktura katalogów z opisami do plików desktop/kdelnk
Name:		applnk
Version:	2.2.0
Release:	7
License:	GPL
Group:		Base
Source0:	ftp://ep09.pld-linux.org/software/applnk/%{name}-%{version}.tar.bz2
# Source0-md5:	0af5401b44bb2c91c771da76c627b4f5
Patch0:		xfce-4.10.patch
Provides:	xdg-menus
Requires:	filesystem >= 4.1-15
Conflicts:	xfdesktop < 4.10.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xdgconfdir		/etc/xdg
%define		_xdgdirectorydir	%{_datadir}/desktop-directories

%description
Base directories tree used for storing desktop/kdelnk menu entries.
Package also contains full description of this hierarchy (descriptions
with translations and menu order).

%description -l pl.UTF-8
Bazowa struktura katalogów używana do przechowywania plików
desktop/kdelnk opisu elementów menu ze spisem aplikacji. Pakiet
zawiera pełny opis hierarchii katalogów (w plikach .directory) wraz z
tłumaczeniami tych opisów, a także opis sposobu uszeregowania
grup/elementów katalogów.

%prep
%setup -q
%patch0 -p1

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner %{name} -e << EOF
Use of applnk menu is now controlled via XDG_MENU_PREFIX
environment variable.  If you want to disable it, then edit
/etc/env.d/XDG_MENU_PREFIX file.

If your menus just disappeared you need to re-login!

KDE users may have to logout, remove /{var,}/tmp/kdecache-*
directories before logging in and run kbuildsycoca4.
EOF

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/XDG_MENU_PREFIX
%{_xdgconfdir}/menus/applnk-applications.menu
%{_xdgdirectorydir}/accessories*.directory
%{_xdgdirectorydir}/applications.directory
%{_xdgdirectorydir}/development*.directory
%{_xdgdirectorydir}/education.directory
%{_xdgdirectorydir}/games*.directory
%{_xdgdirectorydir}/gnome.directory
%{_xdgdirectorydir}/gnome-settings.directory
%{_xdgdirectorydir}/graphics*.directory
%{_xdgdirectorydir}/kde.directory
%{_xdgdirectorydir}/misc.directory
%{_xdgdirectorydir}/multimedia*.directory
%{_xdgdirectorydir}/network*.directory
%{_xdgdirectorydir}/office*.directory
%{_xdgdirectorydir}/science.directory
%{_xdgdirectorydir}/settings*.directory
%{_xdgdirectorydir}/system*.directory
%{_xdgdirectorydir}/terminals.directory
%{_xdgdirectorydir}/x11.directory
%{_pixmapsdir}/package-*.png
%changelog
* Wed Sep 02 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/applnk.git;a=log;h=master

* Wed Sep 02 2020 Jakub Bogusz <qboosh@pld-linux.org> ad1137a
- top level XDG dirs are owned by filesystem; release 7

* Fri May 18 2012 Jan Rękorajski <baggins@pld-linux.org> 9972c60
- rel 6
- proper support for xfce 4.10, without merging external menus

* Fri May 18 2012 Jan Rękorajski <baggins@pld-linux.org> a2f7030
- rel 5
- full support for xfce 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 2996e4e
- rel 4
- xfce 4.10 category changed to XFCE

* Fri Mar 18 2011 Elan Ruusamäe <glen@pld-linux.org> d4c2a3a
- spelling

* Fri Mar 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 19cc8d0
- run

* Fri Mar 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ffd852c
- mention kbuildsycoca4

* Wed Feb 23 2011 Jan Rękorajski <baggins@pld-linux.org> 927bab1
- rel 3
- KDE sucks

* Wed Feb 23 2011 Jan Rękorajski <baggins@pld-linux.org> 8dc7c01
- rel 2
- added banner

* Tue Feb 22 2011 Jan Rękorajski <baggins@pld-linux.org> bb18234
- 2.2.0
- solution to all conflicts via XDG_MENU_PREFIX (works with gnome, xfce, vfmg)

* Tue Feb 22 2011 Jan Rękorajski <baggins@pld-linux.org> f31d6a1
- 2.1.0
- applink uses desktop files from XFCE 4.8 now, so C older XFCE

* Mon May 17 2010 Jan Rękorajski <baggins@pld-linux.org> 6fd97c0
- 2.0.0
- big revamp, see NEWS for details

* Tue May 11 2010 Jan Rękorajski <baggins@pld-linux.org> 32b1e9c
- rel 3
- C: xfdesktop-menus

* Sat Aug 25 2007 Jakub Bogusz <qboosh@pld-linux.org> f9b506e
- unified

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> 288abd9
- drop mutual obsoletes and add conflicts

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 15c1384
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dad9fea
- converted to UTF-8

* Tue Oct 03 2006 Paweł Sikora <pluto@pld-linux.org> c5d3cac
- fetch source.

* Tue Oct 03 2006 adgor <adgor@pld-linux.org> d101eda
- Merged with sources

* Tue Oct 03 2006 adgor <adgor@pld-linux.org> 36c3943
- 1.9.6
- Merged patches
- Merged gnome menus

